%define realname   Term-Encoding
%define version    0.02
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Detect encoding of the current terminal
Source:     http://www.cpan.org/modules/by-module/Term/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildArch: noarch

%description
Term::Encoding is a simple module to detect an encoding the current
terminal expects, in various ways.





%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Mar 05 2009 Michael Scherer <misc@mandriva.org> 0.02-1mdv2009.1
+ Revision: 348721
- import perl-Term-Encoding


